# Darwin

APIs for Darwin.

## List All Actions

 - [GET /darwin/v1/actions](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_list_all_actions_v1_actions_get.md): Retrieve a list of actions.

Parameters:
- tenant_id: Identifier for the tenant.
- configuration_service: Service to fetch actions.

Returns:
- A list of actions matching the criteria.

## Save Action

 - [POST /darwin/v1/actions](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_save_action_v1_actions_post.md): save action

Parameters:
- tenant_id: Identifier for the tenant.

Returns:
- status.

## Delete Integration

 - [DELETE /darwin/v1/actions](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_delete_integration_v1_actions_delete.md): Delete Actions

Parameters:
- tenant_id: Identifier for the tenant.

Returns:
- status:

## Actions Count Per Integration

 - [GET /darwin/v1/actions/count](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_actions_count_per_integration_v1_actions_count_get.md): Retrieve a list of actions.

Parameters:
- tenant_id: Identifier for the tenant.
- configuration_service: Service to fetch actions.

Returns:
- A list of actions matching the criteria.

## Fetch Action Parameters

 - [POST /darwin/v1/action-parameters](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_fetch_action_parameters_v1_action_parameters_post.md): Retrieve a Fetch Action parameters.

Parameters:
- tenant_id: Identifier for the tenant.
- action_service: Service to fetch actions.

Returns:
- A actions details matching the criteria.

## Upload Openapi Spec File

 - [POST /darwin/v1/actions/openapi-file-upload](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_upload_openapi_spec_file_v1_actions_openapi_file_upload_post.md): Openapi file upload.

## Get Workato User Mapper

 - [GET /darwin/v1/integrations/workato/connection_mapper](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_get_workato_user_mapper_v1_integrations_workato_connection_mapper_get.md): Retrieve a workato connection_mapper.

Parameters:
- tenant_id: Identifier for the tenant.

## Save User Mapper

 - [POST /darwin/v1/integrations/workato/connection_mapper](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_save_user_mapper_v1_integrations_workato_connection_mapper_post.md): save connection_mapper

Parameters:
- tenant_id: Identifier for the tenant.

Returns:
- status.

## Get Access Params

 - [GET /darwin/v1/integrations/{integration_name}/access_params](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_get_access_params_v1_integrations_integration_name_access_params_get.md): get_access_params

Parameters:
- tenant_id: Identifier for the tenant.
- configuration_service: Service to fetch integrations.

Returns:
- status:

## Save Access Params

 - [POST /darwin/v1/integrations/{integration_name}/access_params](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_save_access_params_v1_integrations_integration_name_access_params_post.md): save_access_params

Parameters:
- tenant_id: Identifier for the tenant.
- configuration_service: Service to fetch integrations.

Returns:
- status:

## Get Actions As Functions

 - [GET /darwin/v1/actions/functions](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_get_actions_as_functions_v1_actions_functions_get.md)

## Fetch Actions As Functions

 - [POST /darwin/v1/actions/functions](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_fetch_actions_as_functions_v1_actions_functions_post.md)

## Execute Actions

 - [POST /darwin/v1/actions/execute](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_execute_actions_v1_actions_execute_post.md): Execute Action.

## Download File

 - [GET /darwin/v1/reports/downloads/{tenant_id}/{execution_id}/{file}](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_download_file_v1_reports_downloads_tenant_id_execution_id_file_get.md)

## Execute Actions

 - [POST /darwin/v1/actions/custom/execute](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_execute_actions_v1_actions_custom_execute_post.md): Execute an Action.

Request Body:
- tenant_id: Identifier for the tenant.
- configuration_service: Service to fetch actions.
- action_id: Identifier for the Action.
- action_name: Name of the Action.
- user_id: Identifier of the User.
- action_params: Parameters of the Action.
- message: Message/Command for the Action.

Returns:
- An Action Execution response.

## Slack Callback

 - [GET /darwin/auth/slack/callback](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_slack_callback_auth_slack_callback_get.md)

## Get Auth Url Generate

 - [POST /darwin/auth/generate-url](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_get_auth_url_generate_auth_generate_url_post.md)

## Get Auth Status

 - [GET /darwin/auth/status](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_get_auth_status_auth_status_get.md)

## Delete Integration Access Credentials

 - [DELETE /darwin/auth/revert](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_delete_integration_access_credentials_auth_revert_delete.md)

## Outlook Callback

 - [POST /darwin/auth/outlook/callback](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_outlook_callback_auth_outlook_callback_post.md)

## Generate Url

 - [POST /darwin/auth/openapi/generate-url](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_generate_url_auth_openapi_generate_url_post.md)

## Callback

 - [GET /darwin/auth/openapi/callback](https://docs.businessai.uniphorecloud.com/api-reference/api/darwin/darwin_callback_auth_openapi_callback_get.md)

